Couple of fixes uncovered by further testing.

Signed-off-by: Zurab Kvachadze <[email protected]>
---
 eclass/nginx-module.eclass                         | 6 +-----
 www-nginx/ngx_devel_kit/ngx_devel_kit-0.3.4.ebuild | 2 +-
 2 files changed, 2 insertions(+), 6 deletions(-)

diff --git a/eclass/nginx-module.eclass b/eclass/nginx-module.eclass
index 187fc4164f43..2865f9343a9a 100644
--- a/eclass/nginx-module.eclass
+++ b/eclass/nginx-module.eclass
@@ -606,7 +606,7 @@ nginx-module_src_prepare() {
        popd >/dev/null || die "popd failed"
        eend 0
 
-       pushd "${NGINX_MOD_CONFIG_DIR}" >/dev/null ||
+       pushd "${S}/${NGINX_MOD_CONFIG_DIR}" >/dev/null ||
                die "pushd failed"
 
        ebegin "Patching module's config"
@@ -803,8 +803,6 @@ nginx-module_src_test() {
                TEST_NGINX_LOAD_MODULES="${pkg_sonames[*]} 
${TEST_NGINX_LOAD_MODULES}"
        fi
 
-       pushd "${S}" >/dev/null || die "pushd failed"
-
        # If NGINX_MOD_LINK_MODULES is non-empty, meaning the current module is
        # linked to another module in moddir, set LD_LIBRARY_PATH to the 
module's
        # directory so that the dynamic loader can find shared objects we 
depend on.
@@ -814,8 +812,6 @@ nginx-module_src_test() {
        # Tests break when run in parallel.
        TEST_NGINX_SERVROOT="${T}/servroot" \
                edo prove -j1 -I. -r ./"${NGINX_MOD_TEST_DIR}"
-
-       popd >/dev/null || die "popd failed"
 }
 
 # @FUNCTION: nginx-module_src_install
diff --git a/www-nginx/ngx_devel_kit/ngx_devel_kit-0.3.4.ebuild 
b/www-nginx/ngx_devel_kit/ngx_devel_kit-0.3.4.ebuild
index c1216a0f5b57..192b8d366551 100644
--- a/www-nginx/ngx_devel_kit/ngx_devel_kit-0.3.4.ebuild
+++ b/www-nginx/ngx_devel_kit/ngx_devel_kit-0.3.4.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-NGINX_MOD_DONT_INSTALL_CONFIG_STUB=1
+NGINX_MOD_DONT_INSTALL_CONF_STUB=1
 inherit flag-o-matic nginx-module
 
 DESCRIPTION="An NGINX module that adds generic tools for third-party modules"
-- 
2.52.0


Reply via email to